Elive

Help us in a better way with reports that includes all the needed (but not excesive) information. It may not mean a lot to you, but it means a world to us. see the last comment of #231

Tasklist

FS#384 - wifi link intel pro 5100 agn

Attached to Project: Elive
Opened by manu (ManuMan29) - Tuesday, 24 March 2009, 06:44 GMT-7
Last edited by Thanatermesis (thanatermesis) - Monday, 01 March 2010, 19:56 GMT-7
Task Type Feature Request
Category Any
Status Assigned
Assigned To No-one
Operating System All
Severity Medium
Priority Normal
Reported Version 1.0 Gem (Stable)
Due in Version 3.0
Due Date Undecided
Percent Complete 10%
Votes 0
Private No

Details

The intel pro 5100 wifi card doesn’t work with Elive. There is an Intel driver : intel linux driver but I’m a newbie and I don’t know how to install it ... Somebody can help me ? thanks!

This task depends upon

Comment by Mario Camchong (dammitjim) - Wednesday, 25 March 2009, 12:24 GMT-7

You will need to upgrade your kernel. I don’t think that GEM’s kernel supports it. Otherwise you’ll have to use ndiswrapper.

Comment by Thanatermesis (thanatermesis) - Friday, 10 July 2009, 06:19 GMT-7

Try to use the development version, but i think that is needed a new development version with a NEWEST kernel for that, so you need to wait for a new kernel update in the elive development versions (see it from http://www.elivecd.org/Help/infomail/ )

Comment by Thanatermesis (thanatermesis) - Friday, 10 July 2009, 06:27 GMT-7

I have updated the firmwares, you can try it yourself in a development version (please comment if works or not), by updating the package firmware-iwlwifi and installing the temporal 2.6.29 elive kernel (apt-cache search linux-image elive 2.6.29)

Comment by lean moha (leanmoha) - Thursday, 20 August 2009, 08:53 GMT-7

Hi Thanatermesis

I installed the linux-image 2.6.29.4 but its not showing up in Grub/lilo so wifi with intel pro 5100agn still not working. I've tried this with elive-compiz 1.9.36, normal elive-1.9.39, I'll try the new compiz-1.9.40 as well but could you please explain how to get the new kernel 2.6.29.4 to boot instead of the packaged kernel 2.6.26.8.

Thanks

Comment by lean moha (leanmoha) - Thursday, 20 August 2009, 15:21 GMT-7

Hi me again,

Just tried with elive-Kernel 2.6.30.4 since this has the nividia-kernel available and the compat drivers at

http://wireless.kernel.org/en/users/Download/stable/

and for some reason the card gets disabled just before opening entrance. I see the led light up for about 2 seconds before going out and then entrance starts up. I've done a search and this seemed to be a problem when kernel 2.6.27 was introduced on ubuntu and people trying to install them on their ubuntu 8.04 kernels, but was fixed by the time ubuntu 8.10 using kernel 2.6.27.11 was released. I don't know if its a general kernel problem or I just have to copy some files to somewhere or add some lines of code in some config file. Here's the thread

http://ubuntu-virginia.ubuntuforums.org/showthread.php?t=879134&page=6

I'ld really like this wireless to work on elive

Comment by lean moha (leanmoha) - Tuesday, 25 August 2009, 15:34 GMT-7

Hi me again

I've resolved the problem now. For the wifi to remain activated, I had to install both exalt and wicd.

Comment by Thanatermesis (thanatermesis) - Tuesday, 19 January 2010, 16:19 GMT-7

exalt and wicd ? mmh, i dont think that they has any relation, how is possible ?

Can you try a recent version of elive to see if works with net-connector ? if not, they works by installing wicd + exalt ?

Loading...